Tutoriel pour Git avec SourceTree  <!-- omit in toc -->
============
Le but de ce tuto est d'expliquer comment faire des commits proprement sur le Gitea de Zoz. 

## Table des matières  <!-- omit in toc -->
- [1. Introduction & Installation](#1-introduction-installation)
  - [1.1. Prérequis :](#1-1-prérequis)
  - [1.2. Cloner le dépôt avec SourceTree :](#1-2-cloner-le-dépôt-avec-sourcetree)
- [2. Creation des branches](#2-creation-des-branches)
    - [2.1. Créer une branche à son pseudo `mon_pseudo` depuis la branche `master`](#2-1-créer-une-branche-à-son-pseudo-mon-pseudo-depuis-la-branche-master)
    - [2.2. Créer Une branche de travail `mon_pseudo-travail` depuis sa branche `mon_pseudo`](#2-2-créer-une-branche-de-travail-mon-pseudo-travail-depuis-sa-branche-mon-pseudo)
- [3. Envoi du premier commit](#3-envoi-du-premier-commit)
- [4. Fusion de notre branche `mon_pseudo-travail` avec `mon_pseudo`](#4-fusion-de-notre-branche-mon-pseudo-travail-avec-mon-pseudo)

## 1. Introduction & Installation

Ce petit tuto va utiliser l'application SourceTree : [https://www.sourcetreeapp.com/](https://www.sourcetreeapp.com/).<br>
J'ai essayer plusieurs clients Git pour windows et macOS, et la seule (parmis celles essayées) offre une interface graphique assez similaire sur ces deux plateformes, et est assez facile d'utilisation. Ce tuto sera donc en partie rédigé pour utiliser cette application.

**Ce tuto va donc servir de guide pour contribuer au dépôt avec le moins possible de ligne de commande, voir aucune.**

### 1.1. Prérequis :

- Vous devrez aussi avoir installé Git pour windows (ou macos) : [https://git-scm.com/downloads](https://git-scm.com/downloads). Ça pourra être nécessaire si on passe par la ligne de commande.
- Installer SourceTree. <br> Une fois Git installé, et SourceTree installé, aller dans les options de SourceTree pour vérifier que le Git utilisé est bien celui que vous venez d'installer (en externe du point de vue de SourceTree) :<br>
[<img src="https://gitea.zoz-serv.org/Zoz/plex_fr_discord_repo/raw/branch/MilesTEG/Tuto-Git-SourceTree/SourceTree-Git-config.png" align="" height="500" />](https://gitea.zoz-serv.org/Zoz/plex_fr_discord_repo/raw/branch/MilesTEG/Tuto-Git-SourceTree/SourceTree-Git-config.png)<br>
Tous les autres paramètres étant ceux par défaut.

### 1.2. Cloner le dépôt avec SourceTree :

[<img src="https://gitea.zoz-serv.org/Zoz/plex_fr_discord_repo/raw/branch/MilesTEG/Tuto-Git-SourceTree/Capture-05.png" align="" height="500" />](https://gitea.zoz-serv.org/Zoz/plex_fr_discord_repo/raw/branch/MilesTEG/Tuto-Git-SourceTree/Capture-05.png)<br>
Une fois le dépôt cloné, on peut commencer à commiter comme un pro :D.
Vous devriez avoir ce genre d'affichage :<br>
[<img src="https://gitea.zoz-serv.org/Zoz/plex_fr_discord_repo/raw/branch/MilesTEG/Tuto-Git-SourceTree/Capture-06.png" align="" height="500" />](https://gitea.zoz-serv.org/Zoz/plex_fr_discord_repo/raw/branch/MilesTEG/Tuto-Git-SourceTree/Capture-06.png)<br>


## 2. Creation des branches

#### 2.1. Créer une branche à son pseudo `mon_pseudo` depuis la branche `master`



#### 2.2. Créer Une branche de travail `mon_pseudo-travail` depuis sa branche `mon_pseudo`

## 3. Envoi du premier commit

## 4. Fusion de notre branche `mon_pseudo-travail` avec `mon_pseudo`

